import { ZOD_SEED } from '@/constants';
import { z } from 'zod';
// eslint-disable-next-line import/no-extraneous-dependencies
import { createFixture } from 'zod-fixture';
import {
  createdOverlayFileSchema,
  createdOverlaySchema,
  mapOverlay,
  uploadedOverlayFileContentSchema,
} from '../mapOverlay';

export const overlaysFixture = createFixture(z.array(mapOverlay), {
  seed: ZOD_SEED,
  array: { min: 2, max: 2 },
});

export const overlayFixture = createFixture(mapOverlay, {
  seed: ZOD_SEED,
  array: { min: 1, max: 1 },
});

export const createdOverlayFileFixture = createFixture(createdOverlayFileSchema, {
  seed: ZOD_SEED,
});

export const uploadedOverlayFileContentFixture = createFixture(uploadedOverlayFileContentSchema, {
  seed: ZOD_SEED,
});
export const createdOverlayFixture = createFixture(createdOverlaySchema, {
  seed: ZOD_SEED,
});
