import { ModalName } from '@/types/modal';
import { MapOverlay } from '@/types/models';
import { PayloadAction } from '@reduxjs/toolkit';
import { ErrorData } from '@/utils/error-report/ErrorData';

export type OverviewImagesModalState = {
  imageId?: number;
};

export type MolArtModalState = {
  uniprotId?: string | undefined;
};

export type ErrorRepostState = {
  errorData?: ErrorData | undefined;
};

export type EditOverlayState = MapOverlay | null;

export interface ModalState {
  isOpen: boolean;
  modalName: ModalName;
  modalTitle: string;
  overviewImagesState: OverviewImagesModalState;
  molArtState: MolArtModalState;
  errorReportState: ErrorRepostState;
  editOverlayState: EditOverlayState;
}

export type OpenEditOverlayModalPayload = MapOverlay;

export type OpenEditOverlayModalAction = PayloadAction<OpenEditOverlayModalPayload>;
